package com.fs.course.constant;

public class CourseConstant {

    public static final String FEI_SHU_WATCH_HEART = "h5feishu:watch:heartbeat:";
    public static final String FEI_SHU_WATCH_DURATION = "h5feishu:watch:duration:";

    public static String getFeiShuWatchHeartKey(Long userId, Long videoId, Long companyUserId) {
        return String.format(FEI_SHU_WATCH_HEART + "%s:%s:%s:%s", userId, videoId, companyUserId);
    }

    public static String getFeiShuWatchDurationKey(Long userId, Long videoId, Long companyUserId) {
        return String.format(FEI_SHU_WATCH_DURATION + "%s:%s:%s:%s", userId, videoId, companyUserId);
    }
}
